How to upgrade jQuery to Latest Version in WordPress

Are you running the latest version of jQuery in your WordPress

Yesterday, I ran a security scan against my website through

Netsparker and found one of the vulnerabilities as
Out-of-date Version (jQuery Migrate)”.


There is known issue with installed version
(1.2.1) and it’s best practice to keep your technical stacks

How do you know you are using the latest version of jQuery?

  1. Use Netsparker to run security scan against your website
  2. Check Response Header of jquery.js file in HTTP
    header checker tool

Once you identified that your WordPress website needs upgrading
jQuery then here is how you can do it quickly.

Option 1 –wordpress plugin (load jquery locally)

  • Login into your WordPress admin console
  • Go to Plugins >> Add New
  • Search for “ jQuery Updater ” and install


Option 2 –wordpress plugin (load jquery from Google)

You can also leverage Google Hosted jQuery to keep the latest
version. This will not just keep the latest version but also
help in loading
necessary files faster directly from Google.

“ Use Google Libraries ” plugin
will help you to achieve this.


Once you do the necessary, either you scan your website again
or check the HTTP response header to ensure you have the latest
version of jQuery.

I hope this helps you to keep your website
stacks up-to-date and free from security vulnerabilities .


Leave a Reply

%d bloggers like this: